<View::Base::SourceRecord
  class="use-highlights"
  @isEditor={{@isEditor}}
  @path={{this.sourcePath}}
  @model={{@model}}
  @value={{@value}}
  as |record|
>
  {{#if (and (not @isEditor) record.canEdit)}}
    <div class="btn-group float-end btn-manage-actions ms-2">
      {{#if record.isPublished}}
        <Input::Button
          class="btn btn-outline-secondary btn-manage-unpublish"
          @action={{fn this.unpublish record}}
        >
          {{capitalize (t "make private")}}
        </Input::Button>
      {{else}}
        <Input::Button
          class="btn btn-outline-secondary btn-manage-publish"
          @action={{fn this.publish record}}
        >
          {{capitalize (t "make public")}}
        </Input::Button>
      {{/if}}

      <Dropdown @isDropdownToggle={{true}} @toggleClass="btn-outline-secondary">
        <ModelActions::Record @record={{record}} />
      </Dropdown>
    </div>
  {{/if}}

  <TextWithOptions
    @options={{this.style}}
    @tag="h"
    @deviceSize={{@deviceSize}}
    data-path={{this.path}}
    data-name={{@value.name}}
    data-gid={{@value.gid}}
  >{{!
    }}{{record.name}}{{!
}}</TextWithOptions>
</View::Base::SourceRecord>